<?php
namespace WCOA\classes\com;

class Falang
{
	//rplc: wcoa, WCOA
	public function __construct()
	{
	}

    /*
     * create language list with the same name as the wpml integration
     * */
    public function get_languages_list()
    {
        if ($this->is_active()){
            $langs_falang = Falang()->get_model()->get_languages_list();
            $langs = array();
            foreach ($langs_falang as $lang_falang){
                $langs[$lang_falang->slug] = [
                    'language_code' => $lang_falang->slug,
                    'default_locale' => $lang_falang->locale,
                    'country_flag_url' => FALANG_ADMIN_URL.'../../flags/' . $lang_falang->flag_code . '.png'
                ];
            }
            return $langs;
        }
        return null;
    }

	public function is_active()
	{
		return class_exists('Falang');
	}

}
