<?php 
namespace WCOA\classes\com;

class User
{
	public function __construct()
	{
		
	}
	//rplc: woocommerce-order-approval, wcoa, WCOA
	public function get_roles_list()
	{
		 global $wp_roles;

		$all_roles = $wp_roles->roles;
		$all_roles["guest"] = array("name" => esc_html__('Guest', 'woocommerce-order-approval'));
		return $all_roles;
	}
	public function belogs_to_roles($roles)
	{
		if(!$roles || empty($roles)  )
			return false;
		
		if(!is_user_logged_in())
		{
			if(in_array("guest", $roles))
					return true;
			
			return false;
		}
		
		global $current_user;
		foreach($roles as $index => $role_id)
		{
			if(in_array($role_id, $current_user->roles))
					return true;
		}
		
		return false;
	}
	public function is_shop_manager()
	{
		return current_user_can( 'manage_woocommerce' );
	}
}

?>