<?php 
/*
Version: 1.0
*/

$approval_status = $wcoa_order_model->get_order_item_approval_data($item_id);
$subtotal_taxes = (float)$wcoa_order_model->get_order_item_meta($item_id, "_wcoa_original_subtotal_tax");
$original_subtotal = (float)$wcoa_order_model->get_order_item_meta($item_id, "_wcoa_original_subtotal") ;
$original_price = $original_subtotal +  $subtotal_taxes;
$rejected_after_paid = $wcoa_order_model->get_order_item_meta($item_id, "_wcoa_rejected_after_paid");
//To round taxes: wc_round_tax_total();
//localized price: wc_format_localized_price()
?>

<div class="wcoa-product-rejection-wrapper">
<select name="wcoa_item_approval[<?php echo $item_id; ?>]"  data-id="<?php echo $item_id; ?>" class="wcoa-order-item-approval-selector">
	<option value="approved"              <?php selected($approval_status,'approved'); ?>><?php esc_html_e('Approved', 'woocommerce-order-approval'); ?></option>
	<option value="rejected"              <?php selected($approval_status,'rejected'); ?>><?php esc_html_e('Rejected', 'woocommerce-order-approval'); ?></option>
	<!-- <option value="rejected_refund"  <?php selected($approval_status,'rejected_refund'); ?>><?php esc_html_e('Rejected and refund', 'woocommerce-order-approval'); ?></option> -->
</select>
</div>
<?php if($approval_status == 'rejected'): ?>
<div class="wcoa-order-item-status-wrapper">
	<span class="wcoa-status-text"><?php esc_html_e('Rejected', 'woocommerce-order-approval') ?></span>
	<?php if($rejected_after_paid): ?>
		<span class="wcoa-refund-text"><?php echo sprintf(esc_html__('You should refund: %s (Subtotal: %s + Tax: %s)', 'woocommerce-order-approval'), wc_price($original_price), wc_price($original_subtotal), wc_price($subtotal_taxes)); ?></span>
	<?php endif; ?>
</div>
<?php endif;?>